- drop logrotate patch, stick to upstream solution with killall -HUP (cephctl script... auto/th/ceph-12.2.13-1
authorJakub Bogusz <qboosh@pld-linux.org>
Sat, 6 Jun 2020 20:16:07 +0000 (22:16 +0200)
committerJakub Bogusz <qboosh@pld-linux.org>
Sat, 6 Jun 2020 20:16:07 +0000 (22:16 +0200)
- drop outdated cephctl script as well, not usable in this shape now

ceph.logrotate.patch [deleted file]
ceph.spec
cephctl [deleted file]

diff --git a/ceph.logrotate.patch b/ceph.logrotate.patch
deleted file mode 100644 (file)
index cdae0e6..0000000
+++ /dev/null
@@ -1,12 +0,0 @@
---- ceph-12.2.13/src/logrotate.conf.orig       2020-05-28 06:45:00.496496556 +0200
-+++ ceph-12.2.13/src/logrotate.conf    2020-05-28 06:47:07.249143211 +0200
-@@ -4,8 +4,7 @@
-     compress
-     sharedscripts
-     postrotate
--        killall -q -1 ceph-mon ceph-mgr ceph-mds ceph-osd ceph-fuse radosgw || true
--        killall -q -1 ceph-mon ceph-mgr ceph-mds ceph-osd ceph-fuse radosgw rbd-mirror || true
-+        cephctl reload >/dev/null 2>/dev/null
-     endscript
-     missingok
-     notifempty
index eaa3e8ad38f98fb5fb8aff6637635efcc48d5c22..32e62fbce45212dba1bcb9ee0e6ef5083a804c7b 100644 (file)
--- a/ceph.spec
+++ b/ceph.spec
@@ -40,10 +40,8 @@ Group:               Base
 Source0:       http://download.ceph.com/tarballs/%{name}-%{version}.tar.gz
 # Source0-md5: 38bd01cf8224c9ca081298e19ab6e5a1
 Source1:       ceph.sysconfig
-Source2:       cephctl
 Source3:       ceph.tmpfiles
 Patch0:                %{name}-init-fix.patch
-Patch1:                %{name}.logrotate.patch
 Patch2:                boost.patch
 Patch3:                %{name}-python.patch
 Patch4:                %{name}-types.patch
@@ -272,7 +270,6 @@ uruchamiania demonów.
 %prep
 %setup -q
 %patch0 -p1
-%patch1 -p1
 %patch2 -p0
 %patch3 -p1
 %patch4 -p1
@@ -332,7 +329,6 @@ install -d $RPM_BUILD_ROOT%{_localstatedir}/{lib/ceph/{tmp,mon,osd,mds,mgr,rados
 cp -p src/logrotate.conf $RPM_BUILD_ROOT%{_sysconfdir}/logrotate.d/ceph
 
 cp -p %{SOURCE1} $RPM_BUILD_ROOT/etc/sysconfig/ceph
-install %{SOURCE2} $RPM_BUILD_ROOT%{_bindir}
 ln -sf /dev/null $RPM_BUILD_ROOT%{systemdunitdir}/ceph.service
 cp -p %{SOURCE3} $RPM_BUILD_ROOT%{systemdtmpfilesdir}/ceph.conf
 
@@ -450,7 +446,6 @@ fi
 %attr(755,root,root) %{_bindir}/ceph_smalliobenchrbd
 %attr(755,root,root) %{_bindir}/ceph_tpbench
 %attr(755,root,root) %{_bindir}/ceph_xattr_bench
-%attr(755,root,root) %{_bindir}/cephctl
 %attr(755,root,root) %{_bindir}/cephfs-data-scan
 %attr(755,root,root) %{_bindir}/cephfs-journal-tool
 %attr(755,root,root) %{_bindir}/cephfs-table-tool
diff --git a/cephctl b/cephctl
deleted file mode 100644 (file)
index fce0240..0000000
--- a/cephctl
+++ /dev/null
@@ -1,53 +0,0 @@
-#! /bin/bash
-
-# It seems this was designed as /etc/init.d/ceph script for controlling the systemd
-# units on SuSE, made into 'cephctl' for PLD
-
-systemd_booted 2>/dev/null || exec /etc/rc.d/init.d/ceph "$@"
-
-action=$1 ; shift
-[ -f /etc/sysconfig/ceph ] && . /etc/sysconfig/ceph
-cluster=${CLUSTER:-ceph}
-config=$1 ; shift
-
-# Shared variables by many actions
-dir_mon="/var/lib/ceph/mon/"
-dir_osd="/var/lib/ceph/osd/"
-if test -d ${dir_mon} ; then
-lmon=`ls ${dir_mon} | grep ${cluster}`
-fi
-if test -d ${dir_osd} ; then
-losd=`ls ${dir_osd} | grep ${cluster}`
-fi
-prefix="${cluster}-"
-
-RC=0
-
-if test -n "$config" ; then
-       systemctl "${action}" "ceph-mon@${config}.service" || RC=1
-else
-       case $action in
-    start | stop | status | enable | disable | restart | is-active | is-failed | show | kill | reset-failed | reload )
-        n=0
-        if test -n ${lmon} ; then
-            for s in ${lmon#=${prefix}} ; do
-                systemctl "${action}" ceph-mon@${s#$prefix}.service
-               [ $? -eq 0 ] || RC=1
-                ((++n))
-            done
-        fi
-        if test -n ${lmon} ; then
-            for s in ${losd#=${prefix}} ; do
-                systemctl "${action}" ceph-osd@${s#$prefix}.service
-               [ $? -eq 0 ] || RC=1
-                ((++n))
-            done
-        fi
-    ;;
-       *)
-               echo "Invalid paramter : $action"
-        echo "Valid paramters  : start | stop | status | enable | disable | restart | is-active | is-failed | show | kill | reset-failed | reload"
-       ;;
-       esac
-fi
-exit $RC
This page took 0.098678 seconds and 4 git commands to generate.